libcatmandu-perl (1.1000-2) unstable; urgency=medium

  * Team upload.
  * Fix and extend autopkgtests.
    - add Changes via debian/tests/pkg-perl/smoke-files, needed by
      t/Catmandu-Util.t
    - skip t/Catmandu-Importer-Modules.t during smoke test, needs files from
      the source tree
    - add empty debian/tests/pkg-perl/syntax-skip to enable syntax.t test
      although the package has Suggests

 -- gregor herrmann <gregoa@debian.org>  Tue, 29 Jan 2019 18:21:33 +0100

libcatmandu-perl (1.1000-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/*: update URLs from {search,www}.cpan.org to MetaCPAN.
  * debian/*: update GitHub URLs to use HTTPS.

  [ Jonas Smedegaard ]
  * Simplify rules.
    Stop build-depend on cdbs.
  * Mark build-dependencies needed only for testsuite as such.
  * Declare compliance with Debian Policy 4.3.0.
  * Set Rules-Requires-Root: no.
  * Enable autopkgtest.
  * Stop build-depend on dh-buildinfo.
  * Wrap and sort control file.
  * Update copyright info: Extend coverage of packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Jan 2019 00:09:10 +0100

libcatmandu-perl (1.0900-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.1.4.
  * Update package relations: (Build-)depend on libstring-camelcase-perl.
  * Update copyright info:
    + Bump (yes not extend) coverage for main upstream author.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 May 2018 15:19:29 +0200

libcatmandu-perl (1.0700-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Damyan Ivanov ]
  * Declare conformance with Debian Policy 4.1.2.

  [ Jonas Smedegaard ]
  * Update watch file: mangle version to always use 4 "decimal" digits.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Dec 2017 12:05:59 +0100

libcatmandu-perl (1.0606-2) unstable; urgency=medium

  * Update watch file: Fix typo strings.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Oct 2017 16:25:45 +0200

libcatmandu-perl (1.0606-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update package relations:
    + (Build-)depend on libpath-iterator-rule-perl (not
      libfile-find-rule-perl).
    + Stop (build-)depend on liblwp-useragent-determined-perl
      libmoox-role-logger-perl.
    + (Build-)depend on recent libdata-util-perl (not libref-util-perl).
    + (Build-)depend on libmime-types-perl.
    + Relax to (build-)depend unversioned on libdata-compare-perl
      liblist-moreutils-perl libmoo-perl libtext-csv-perl
      libthrowable-perl libyaml-libyaml-perl libnamespace-clean-perl:
      Needed versions satisfied even in oldstable.
    + Relax to build-depend unversioned on libtest-deep-perl: Needed
      version satisfied even in oldstable.
  * Update watch file: Use substitution strings.
  * Modernize Vcs-* fields:
    + Consistently use git (not cgit) in path.
    + Consistently include .git suffix in path.
    + Stop build-depend on licensecheck.
  * Declare compliance with Debian Policy 4.1.1.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage for myself.
    + Bump (yes not extend) coverage for main upstream author.
  * Modernize cdbs: Do copyright-check in maintainer script (not during
    build).
  * Tighten lintian overrides regarding License-Reference.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Oct 2017 15:15:38 +0200

libcatmandu-perl (1.0304-2) unstable; urgency=medium

  * Update package relations:
    + Fix suggest (not recommend) log-any-adapter-log4perl
      liblog-log4perl-perl.
  * Drop obsolete lintian override regarding debhelper 9.
  * Update watch file: Tighten version regex.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Jan 2017 22:47:42 +0100

libcatmandu-perl (1.0304-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update package relations:
    + (Build-)depend on libpath-tiny-perl (not libfile-slurp-tiny-perl).
    + (Build-)depend on libparser-mgc-perl (not libmarpa-r2-perl).
    + (Build-)depend on libcpanel-json-xs-perl (not libjson-xs-perl).
    + (Build-)depend on liblwp-useragent-determined-perl
      libref-util-perl libtext-hogan-perl libasa-perl.
    + Stop build-depend on or recommend perltidy.
    + Tighten build-dependency on libtest-exception-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Dec 2016 14:51:15 +0100

libcatmandu-perl (1.0001-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix os-dependent paths in tests.
    + Throw an error if an Importer file path doesn't exist.
    + Nump required version of URI::Template because we need variable
      names returned in order.
    + Pod fixes.
    + Lots of pod.
    + Lots of tests.
    + New Exporter::Mock.
    + New Importer::TSV and Exporter::TSV.
    + New 'uri_decode' and 'uri_encode' fixes.
    + New Droppable and Transactional roles for stores.
    + New 'drop' command.
    + Switch to MooX::Role::Logger for logging.
    + Smarter CSV::Importer.
    + New specialized TabularExporter base role.
    + Fix bug in 'array_to_sentence' helper function.
    + Fix $append bug in 'data_at' helper function.
    + The 'data' command is deprecated. All it's functionality is now
      provided by the 'import', 'export', 'convert' and 'copy' commands.
    + Rename the 'move' command to the more accurate 'copy'.
    + Line delimited JSON is no longer the default for Importer::JSON
      and Exporter:JSON.
    + Fix some pod typos.
    + Fix handling multivalued response http headers in Importer.

  [ Jonas Smedegaard ]
  * Modernize Vcs-* fields: Use https protocol.
  * Update package relations:
    + Build-depend on libtest-lwp-useragent-perl.
    + (Build-)depend on libmoox-role-logger.
    + Build-depend on and recommend perltidy.
    + Build-depend on and suggest liblog-any-adapter-log4perl-perl
      liblog-log4perl-perl, and mention in long description when those
      are needed.
    + Tighten to (build-)depend versioned on liburi-template-perl.
    + (Build-)depend on libany-uri-escape-perl.
    + Relax to depend unversioned on liblog-any-perl (but still
      build-depend versioned).
    + Build-depend on licensecheck (not devscripts)."
  * Update copyright info:
    + Bump (yes, not extend) coverage for main upstream author, and drop
      no longer listed co-author.
  * Update watch file:
    + Bump to file format 4.
    + Watch only MetaCPAN URL.
    + Mention gbp --uscan in usage comment.
  * Drop CDBS get-orig-source target: Use gbp import-orig --uscan.
  * Modernize git-buildpackage config: Filter any .git* file.
  * Declare compliance with Debian Policy 3.9.8.
  * Fix Vcs-Git field URL.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Dec 2016 16:33:05 +0100

libcatmandu-perl (0.9505-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Expand, collapse and vacuum fixes handle large arrays.
    + More pod.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 3.9.7.
  * Update copyright info:
    + Extend copyright of packaging to cover current year.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Feb 2016 06:42:11 +0100

libcatmandu-perl (0.9504-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update package relations:
    + Tighten build-dependency on libapp-cmd-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Nov 2015 10:46:54 +0100

libcatmandu-perl (0.9502-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update package relations: Stop (build-)depend on libdata-util-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Oct 2015 11:10:44 +0100

libcatmandu-perl (0.9501-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update package relations:
    + (Build-)depend on libfile-slurp-perl libwww-perl liburi-perl
      liburi-template-perl.
    + Relax build-dependency on libtest-simple-perl, and favor recent
      perl (now recent enough) over that.
  * Update homepage.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
    Thanks to Ben Finney.
    + Extend copyright of packaging to cover current year.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Oct 2015 03:39:49 +0100

libcatmandu-perl (0.9301-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    0.9209:
    0.9210:
    + Fix log tests.
    0.93:
    + Iterable can now behave like an external iterator (see next and
      rewind methods).
    + Better Fix::Parser error handling.
    + New hash_merge fix.
    + Fix Versioning bugs.
    + More consistent Importer::JSON and Exporter::JSON parameter
      naming.
    + Fix regex bug in emit.
    + New set_array and set_hash fixes.
    + New filter fix.
    + Iterable stop_if method.
    + Pod fixes.
    0.9301:
    + Cmd output test failed sometimes.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Bump (yes, not extend) overage for main upstream author.
  * Update package relations:
    + Tighten (build-)dependency on libapp-cmd-perl liblog-any-perl.
    + (Build-)depend on libhash-merge-simple-perl.
    + Stop (build-)depend on liblog-any-adapter-perl: Provided by
      liblog-any-perl since version 1.00.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 May 2015 16:33:27 +0200

libcatmandu-perl (0.9209-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    0.9209:
    + info command.
    + Ignore installed but depreciated commands.
    + Improved retain fix will replace retain_field.
    + Simple emitting fixes required a bit less boilerplate.
    + JSON::XS is now required to avoid bugs in other implementations.
    0.9208:
    + Lazy and more robust fix building in Fix.pm.
    0.9207:
    + greater_than, less_than fix conditions.
    + Fix bug in Paged.
    + Exporter::JSON pod.
    + sort_field fix handles undef values.

  [ Vasudev Kamath ]
  * Drop myself from uploaders.

  [ Jonas Smedegaard ]
  * Stop (build-)depend on libjs-perl, depend on (not recommend)
    libjson-xs-perl (in addition to build-depending), and fix tighten to
    (build-)depend versioned.
  * Update patch 1001, and simplify header.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2014 15:01:48 +0100

libcatmandu-perl (0.9206-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + More pod.
    + Combine the various info modules in Importer::Modules.
    + Bind::hashmap fix.
    + Remove orphan test.

  [ Jonas Smedegaard ]
  * Update watch file: Fix strip spaces in version line.
  * Declare compliance with Debian Policy 3.9.6.
  * Stop aggressive version mangling in watch file.
  * Git-ignore quilt .pc dir.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to use cgit web frontend.

  [ Vasudev Kamath ]
  * Drop duplicate build-depend on liblog-any-perl.
  * Improve POD documentation:
    + Add patch 1001 to fix a few typos.
    + Add patch 1002 to add missing NAME section.
    Thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Oct 2014 16:11:55 +0200

libcatmandu-perl (0.9204-2) unstable; urgency=medium

  * Add git-buildpackage config, enabling pristine-tar and tag signing.
  * Fix relax to build-depend unversioned on libmodule-build-perl alone
    (not versioned nor favoring slightly old perl).
    Closes: bug#753048. Thanks to Niko Tyni.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Jul 2014 12:43:53 +0200

libcatmandu-perl (0.9204-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + catmandu debug flag and more informative error messages.
    + more pod.
    + bump required version of Moo.
    + require YAML::XS to avoid YAML weirdness.
    + fix CLI include path load order.
    + MooX::Log::Any replaced by Catmandu::Logger because it doesn't set
      the correct category.
    + config command can use any Exporter.
    + Importer::JSON multiline is more robust.
    + Exporter::JSON supports canonical, indent, space_before,
      space_after options.
    + info commands and matching importers.

  [ Jonas Smedegaard ]
  * Update package relations:
    + (Build-)depend on recent libyaml-libyaml-perl (not build-depend on
      libyaml-perl or recommend unversioned libyaml-libyaml-perl).
    + (Build-)depend on recent liblog-any-perl (not
      libmoox-log-any-perl).
    + Recommend liblog-any-adapter-log4perl-perl, and recent
      liblog-log4perl-perl.
    + (Build-)depend on libmodule-info-perl, and on recent
      libfile-find-rule-perl.
    + Tighten (build-)dependency on libmoo-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 13 Jun 2014 13:25:56 +0200

libcatmandu-perl (0.9103-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix script dir in build script.
    + Fix handle empty comments in Fix::Parser module.
    + Fix POD of Exporter module.

  [ Jonas Smedegaard ]
  * Stop manually install executable.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Jun 2014 00:23:46 +0200

libcatmandu-perl (0.9102-2) unstable; urgency=medium

  * Fix recommend libyaml-libyaml-perl (not bogus libyaml-xs-perl).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 May 2014 01:53:14 +0200

libcatmandu-perl (0.9102-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Add monads in disguise Catmandu::Fix::Bind.
    + Improve POD coverage.
    + Add less_than, greater_than conditions.

  [ Jonas Smedegaard ]
  * Tidy comma in build-dependencies.
  * Update watch file to use cpan.org/author URL (not search.cpan.org).
  * Update package relations:
    + Build-depend on (recent but not too recent perl or) recent
      libmodule-build-perl (not libmodule-build-tiny), and relax to
      build-depend unversioned on cdbs.
    + Depend (not only build-depend) on liblog-any-adapter-perl, and
      tighten to (build-)depend versioned.
    + Build-depend on libtest-pod-perl.
    + Build-depend (explicitly) on recent liblog-any-perl.
    + Tighten to build-depend versioned on libtest-deep-perl and
      libtest-exception-perl.
    + Build-depend on recent libtest-simple-perl (or very recent perl).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 May 2014 18:43:10 +0200

libcatmandu-perl (0.9-1) unstable; urgency=low

  [ Vasudev Kamath ]
  * Initial Release.
    Closes: bug#723591.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 May 2014 23:54:09 +0200
